Bug 734490 - AS7 plugin: resource config: 'Module Name' member props of 'Installed Extensions' map should be read-only
Summary: AS7 plugin: resource config: 'Module Name' member props of 'Installed Extensi...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
: ---
Assignee: Mike Thompson
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon3 as7-plugin 820425
TreeView+ depends on / blocked
 
Reported: 2011-08-30 15:01 UTC by Ian Springer
Modified: 2013-09-04 07:48 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-09-04 07:48:12 UTC


Attachments (Terms of Use)
Screenshot (34.30 KB, image/png)
2012-04-11 12:53 UTC, Heiko W. Rupp
no flags Details
Read only fixed (64.53 KB, image/png)
2012-07-02 22:29 UTC, Mike Thompson
no flags Details

Description Ian Springer 2011-08-30 15:01:22 UTC
I'm pretty sure we don't want users to be able to edit the module names. The fix should be to add the readOnly="true" attribute to the member prop def, i.e.:

            <c:group name="children:extension" displayName="Installed extensions">

                <c:list-property name="*" displayName="Installed extensions" readOnly="true" required="false">
                    <c:map-property name="*" displayName="Name" readOnly="true">
                        <c:simple-property name="module" displayName="Module name" readOnly="true"/>
                    </c:map-property>
                </c:list-property>
            </c:group>


Note, the readOnly="true" attribute on the map property itself prevents member props from being added or deleted, but does not prevent existing member props from being updated.

Comment 1 Heiko W. Rupp 2012-01-18 10:53:58 UTC
This is  a UI bug and not as7-specific -- see also BUG 782506

Comment 2 Ian Springer 2012-03-26 17:59:48 UTC
Heiko, couldn't this property be implemented as a list-of-simples, rather than a list-of-maps? Or was there a reason you made it a list of maps?

Comment 3 Heiko W. Rupp 2012-04-11 12:53:01 UTC
This does not change anything -- the row still has the "can be edited" pencil even if the entry can not be modified in the details view.

      <c:group name="children:extension:module" displayName="Installed extensions" hiddenByDefault="true">
        <c:list-property name="extensions" displayName="Installed extensions" readOnly="true" required="false">
            <c:simple-property name="module" displayName="Module name" readOnly="true"/>
        </c:list-property>
      </c:group>
    </resource-configuration>

See attached screenshot

Comment 4 Heiko W. Rupp 2012-04-11 12:53:39 UTC
Created attachment 576764 [details]
Screenshot

Comment 5 Charles Crouch 2012-04-13 00:22:54 UTC
Lowering priority, this is not a blocker for rhq4.4

Comment 6 Mike Thompson 2012-07-02 22:29:03 UTC
Created attachment 595821 [details]
Read only fixed

Comment 7 Mike Thompson 2012-07-02 22:33:38 UTC
Fixed by Master Commit Id: 87f63d5522059ca035c0c1d1377aba569e552b22

This read only plugin configuration was being was not being rendered by the gui.

This fix also fixed related BZ 782506 - config editor shows edit/pencil icon for a map that does not contain any editable member props.

I have attached of screenshot of what it looks like now.

Comment 9 Heiko W. Rupp 2013-09-04 07:48:12 UTC
Bulk closing of some old issues


Note You need to log in before you can comment on or make changes to this bug.